// Datei IntTypes04.c
/* ------------------------------------------------------------------------
Dieses Programm leistet folgendes:
------------------------------------------------------------------------ */
#include <stddef.h>  // Typen ptrdiff_t, size_t, wchar_t, Konstante NULL
#include <stdio.h>   // E/A in Bytestroeme, printf, sprintf, ...
#include <stdlib.h>  // atof, atoi, rand, malloc, calloc, free, exit,
                     // bsearch, qsort, abs, div, ...
#include <string.h>  // memcopy, memmove, strcpy, strcat, ...
#include <stdint.h>  // int8_t, uint8_t, int_least8_t, uint_least8_t,
                     // int_fast8_t, intptr_t, uintptr_t, intmax_t, ...
#include <inttypes.h>// PRId8, PRIdLEAST8, PRIdFAST8, ...

int main() {
   printf("IntTypes04: Jetzt geht es los!\n");

   int64_t i64MIN = INT64_MIN;

   printf("i64MIN: %lld\n", i64MIN);
   printf("INT64_MIN: %lld\n", INT64_MIN);

   long long n = 9223372036854775807LL;
   printf("n: %lld\n", n);   // Correct output n: 9223372036854775807
   printf("n: %+lld\n", n);  // Wrong   output n: -1
   printf("n: %5lld\n", n);  // Wrong   output n:    -1

   printf("IntTypes04: Das war's erstmal!\n");
   return 0;
} // main
