// Datei CursorTst.c

#include<stdio.h>  // Fuer printf
#include<stdlib.h> // Fer rand
// ------------------------------------------------------------------------
void gotoXY(unsigned x, unsigned y) {
   // Positioniert den Cursor in Spalte x, Zeile y, wobei
   // die Spalten von links nach rechts und
   // die Zeilen  von oben  nach unten, jeweils
   // mit 1 beginnend durchnummeriert zu denken sind.
   // \033 bezeichnet ein Escape Zeichen (ESC) und eine
   // Zeichenkette wie z.B. \033[17;5H wird auch Escape-Sequenz
   // genannt (die eckige Klammer wird NICHT geschlossen!).
   printf("\033[%u;%uH",x, y);
} // gotoXY
// ------------------------------------------------------------------------
int main() {
   // Gibt eine Art Koordinatensystem und darin einige Zeichen aus.

   printf("..............................  -  1\n"
          "..............................      \n"
          "..............................      \n"
          "..............................      \n"
          "..............................  -  5\n"
          "..............................      \n"
          "..............................      \n"
          "..............................      \n"
          "..............................      \n"
          "..............................  - 10\n"
          "..............................      \n"
          "..............................      \n"
          "..............................      \n"
          "..............................      \n"
          "..............................  - 15\n"
          "..............................      \n"
          "|        |         |         |      \n"
          "1       10        20        30      \n");

   getchar(); getchar();

   // 100 Zeichen an zufaellig gewaehlte Stellen (in Spalte 1 bis 31 und
   // Zeile 1 bis 16) ausgeben:
   char buchst = 'A';
   for (int nr=1; nr<=100; nr++) {
      int spalte = rand() % 30 + 1;
      int zeile  = rand() % 15 + 1;
      gotoXY(zeile, spalte);
      if (buchst == 'Z') {
         buchst = 'A';
      } else {
         buchst++;
      }
      printf("%c", buchst);
   }

   getchar(); getchar();

   // Die Hauptdiagonale mit grossen Buchstaben beschreiben:
   char buchstabe = 'A';
   for (unsigned zeile=1; zeile<=16; zeile++) {
      gotoXY(zeile, zeile*2-1);
      printf("%c", buchstabe++);
   }

   getchar(); getchar();


   // Die Nebendiagonale mit kleinen Buchstaben beschreiben;
   buchstabe = 'p';
   for (unsigned zeile=1; zeile<=16; zeile++) {
      gotoXY(zeile, 33-2*zeile);
      printf("%c", buchstabe--);
   }

   // Den Cursor vom Koordinatensystem entfernen:
   gotoXY(25, 0);

   return 0;
} // main
